CURLMINFO_XFERS_PENDING(3)

NAME
CURLMINFO_XFERS_PENDING - Number of easy handles waiting to start

SYNOPSIS
#include <curl/curl.h>
CURLMcode curl_multi_get_offt(CURLM *handle, CURLMINFO_XFERS_PENDING,
                              curl_off_t *pvalue);

DESCRIPTION
The number of current easy handles waiting to start. An added transfer might become pending for various reasons: a connection limit forces it to wait, resolving DNS is not finished or it is not clear if an existing, matching connection may allow multiplexing (HTTP/2 or HTTP/3).

DEFAULT
n/a

PROTOCOLS
This functionality affects all supported protocols

EXAMPLE
int main(void)
{
  CURLM *m = curl_multi_init();
  curl_off_t value;
  curl_multi_get_offt(m, CURLMINFO_XFERS_PENDING, &value);
}

AVAILABILITY
Added in curl 8.16.0

RETURN VALUE
curl_multi_get_offt(3) returns a CURLMcode indicating success or error. CURLM_OK (0) means everything was OK, non-zero means an error occurred, see libcurl-errors(3).

SEE ALSO
CURLMINFO_XFERS_CURRENT(3), CURLMINFO_XFERS_RUNNING(3)